> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of media > Media are implicitly filtered by effective spot groups and SOC tags. ## OpenAPI ````json GET /v{version}/Media { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Media": { "get": { "tags": [ "Media" ], "summary": "Get a list of media", "description": "Media are implicitly filtered by effective spot groups and SOC tags.", "operationId": "Media_GetList", "parameters": [ { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Returns the list of media.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.Media" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Media": { "type": "object", "properties": { "ActiveVersion": { "$ref": "#/components/schemas/V1.Models.MediaVersion" }, "AllowArchiving": { "type": "boolean", "description": "If `true`, the media allows archiving.\r\nDefault: `false`." }, "Created": { "type": "string", "description": "Creation date in UTC", "format": "date-time", "readOnly": true }, "DraftVersion": { "$ref": "#/components/schemas/V1.Models.MediaVersion" }, "Id": { "type": "integer", "description": "Unique ID of the media", "format": "int32", "readOnly": true }, "IsArchived": { "type": "boolean", "description": "If `true`, the media is archived.\r\nDefault: `false`.", "readOnly": true }, "LocationId": { "type": "integer", "description": "Unique ID of the location assigned to the media", "format": "int32" }, "MediaGroupId": { "type": "integer", "description": "Unique ID of the media group containing the media", "format": "int32" }, "MediaType": { "$ref": "#/components/schemas/V1.Enums.MediaType" }, "Modified": { "type": "string", "description": "Modification date in UTC", "format": "date-time", "readOnly": true }, "Name": { "type": "string", "description": "Name of the media" }, "PlayerId": { "type": "integer", "description": "Unique ID of the player assigned to the media", "format": "int32" }, "Type": { "$ref": "#/components/schemas/V1.Enums.SpotType" } }, "description": "Media" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Models.MediaVersion": { "type": "object", "properties": { "Duration": { "type": "integer", "description": "Duration of the media version in seconds", "format": "int32" }, "FileName": { "type": "string", "description": "File name of the media version", "readOnly": true, "example": "example.jpg" }, "FileVersion": { "type": "integer", "description": "File version of the media version", "format": "int32", "readOnly": true }, "UserCreateDate": { "type": "string", "description": "Creation date of the media version", "format": "date-time", "readOnly": true }, "Version": { "type": "integer", "description": "Version of the media version", "format": "int32", "readOnly": true }, "VersionId": { "type": "integer", "description": "Unique ID of the media version", "format": "int32", "readOnly": true } }, "description": "Version of the media" }, "V1.Enums.MediaType": { "enum": [ "Unknown", "Video", "Flash", "Picture", "PowerPoint", "Pdf", "Shockwave", "Xml", "Mp3", "Html", "EPaper", "Draft", "Zip", "AndroidPackage", "AndroidSkin", "OverlayTrigger", "Qml" ], "type": "string", "description": "Media types" }, "V1.Enums.SpotType": { "enum": [ "Default", "Composer", "Trigger", "Ticker", "Url", "OverlayTrigger", "XmlDataSpot", "Audio", "Stream", "Zip", "WebsiteSpot", "HtmlComposerSpot", "WizardSpot", "Font", "WizardSpotMedia", "DashboardWidget", "DashboardWidgetMedia", "Qml", "ComposerPlayer", "RoomManager", "ConvertedSpot", "AscInterface", "AscPlayer" ], "type": "string", "description": "Spot types" } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````